{% sw_extends '@Storefront/storefront/base.html.twig' %}

{% block base_header %}
    {% if theme_config('sysea-show-topbar') %}
        {% if "sysea.topBarContent1"|trans or "sysea.topBarContent2"|trans or "sysea.topBarContent3"|trans %}
            <div class="top-bar sysea--topbar d-none d-sm-block">
                <nav class="top-bar-nav">
                    <div class="container">
                        <div class="row">
                            <div class="col-sm-4">
                                {% if "sysea.topBarContent1"|trans %}
                                    {{ "sysea.topBarContent1"|trans|raw }}
                                {% endif %}
                            </div>
                            <div class="col-sm-4 text-center">
                                {% if "sysea.topBarContent2"|trans %}
                                    {{ "sysea.topBarContent2"|trans|raw }}
                                {% endif %}
                            </div>
                            <div class="col-sm-4 text-right">
                                {% if "sysea.topBarContent3"|trans %}
                                    {{ "sysea.topBarContent3"|trans|raw }}
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </nav>
            </div>

            <div class="top-bar sysea--topbar-mobile d-block d-sm-none">
                <nav class="top-bar-nav">
                    <div class="container">
                        <div class="row">
                            <div class="col-12">
                                {% if theme_config('sysea-topbar-mobile-slideshow') %}
                                <div class="owl-carousel owl-theme text-center" data-autoplay-timeout="{{ theme_config('sysea-topbar-mobile-slideshow-speed') }}"{% if theme_config('sysea-topbar-mobile-slideshow-effect') == "fadeOut" %} data-autoplay-animation="fadeOut"{% endif %}>
                                        {% if "sysea.topBarContent1"|trans %}
                                            <div class="item">
                                                {{ "sysea.topBarContent1"|trans|raw }}
                                            </div>
                                        {% endif %}
                                        {% if "sysea.topBarContent2"|trans %}
                                            <div class="item">
                                                {{ "sysea.topBarContent2"|trans|raw }}
                                            </div>
                                        {% endif %}
                                        {% if "sysea.topBarContent1"|trans %}
                                            <div class="item">
                                                {{ "sysea.topBarContent3"|trans|raw }}
                                            </div>
                                        {% endif %}
                                    </div>
                                {% else %}
                                    {% if "sysea.topBarContent1"|trans %}
                                        <div class="topbar-mobile-item text-center">
                                            {{ "sysea.topBarContent1"|trans|raw }}
                                        </div>
                                    {% endif %}
                                    {% if "sysea.topBarContent2"|trans %}
                                        <div class="topbar-mobile-item text-center">
                                            {{ "sysea.topBarContent2"|trans|raw }}
                                        </div>
                                    {% endif %}
                                    {% if "sysea.topBarContent3"|trans %}
                                        <div class="topbar-mobile-item text-center">
                                            {{ "sysea.topBarContent3"|trans|raw }}
                                        </div>
                                    {% endif %}
                                {% endif %}
                            </div>
                        </div>
                    </div>
                </nav>
            </div>
        {% endif %}
    {% endif %}

    <div class="header-main-placeholder d-none"></div>
    <header class="header-main{% if theme_config('sysea-header-fixed') %} sysea--header-fixed{% endif %}">
        {% block base_header_inner %}
            {{ parent() }}
        {% endblock %}
    </header>
{% endblock %}

{% block base_navigation %}
{% endblock %}

{% block base_script_hmr_mode %}
    {{ parent() }}
    <script type="text/javascript">{{ theme_config('sysea-custom-javascript')|raw }}</script>
{% endblock %}